Bug 1808571 - Review Request: python-cclib - Parsers for output files of computational chemistry packages
Summary: Review Request: python-cclib - Parsers for output files of computational chem...
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Python-3.9 OK
Depends On: 1808573
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-28 20:34 UTC by Antonio T. (sagitter)
Modified: 2020-03-08 21:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
nonamedotc: fedora-review+


Attachments (Terms of Use)

Description Antonio T. (sagitter) 2020-02-28 20:34:32 UTC
Spec URL: https://sagitter.fedorapeople.org/python-cclib/python-cclib.spec
SRPM URL: https://sagitter.fedorapeople.org/python-cclib/python-cclib-1.6.2-1.fc31.src.rpm

This package is for Fedora, EPEL7 and EPEL8

Fedora Account System Username: sagitter

Comment 1 Antonio T. (sagitter) 2020-02-29 11:55:10 UTC
Successfully tested with Python-3.9

Comment 2 Mukundan Ragavan 2020-03-01 14:37:47 UTC
I will take this.

Comment 3 Mukundan Ragavan 2020-03-01 14:59:50 UTC
We had python-cclib in fedora. You are essentially unretiring this package, correct?

Comment 4 Antonio T. (sagitter) 2020-03-01 16:04:05 UTC
(In reply to Mukundan Ragavan from comment #3)
> We had python-cclib in fedora. You are essentially unretiring this package,
> correct?

I did not know that it already was in Fedora, so yes i wish to claim this package.

Comment 5 Miro Hrončok 2020-03-01 18:40:12 UTC
> Successfully tested with Python-3.9

Thanks for testing this.


Regarding:

pathfix.py -pn -i "%{__python3}" %{buildroot}%{python3_sitelib}/cclib/scripts/ccframe.py
pathfix.py -pn -i "%{__python3}" %{buildroot}%{python3_sitelib}/cclib/scripts/ccget.py
pathfix.py -pn -i "%{__python3}" %{buildroot}%{python3_sitelib}/cclib/scripts/ccwrite.py
pathfix.py -pn -i "%{__python3}" %{buildroot}%{python3_sitelib}/cclib/scripts/cda.py

chmod a+x %{buildroot}%{python3_sitelib}/cclib/scripts/ccframe.py
chmod a+x %{buildroot}%{python3_sitelib}/cclib/scripts/ccget.py
chmod a+x %{buildroot}%{python3_sitelib}/cclib/scripts/ccwrite.py
chmod a+x %{buildroot}%{python3_sitelib}/cclib/scripts/cda.py


Wouldn't it be better to drop the shebangs entirely? Or are the users of this package expected to execute those files directly?



> %global with_check 1

Consider using a %bcond?

Comment 6 Antonio T. (sagitter) 2020-03-01 19:05:27 UTC
(In reply to Miro Hrončok from comment #5)
> > Successfully tested with Python-3.9
> 
> Thanks for testing this.
> 
> 
> Regarding:
> 
> pathfix.py -pn -i "%{__python3}"
> %{buildroot}%{python3_sitelib}/cclib/scripts/ccframe.py
> pathfix.py -pn -i "%{__python3}"
> %{buildroot}%{python3_sitelib}/cclib/scripts/ccget.py
> pathfix.py -pn -i "%{__python3}"
> %{buildroot}%{python3_sitelib}/cclib/scripts/ccwrite.py
> pathfix.py -pn -i "%{__python3}"
> %{buildroot}%{python3_sitelib}/cclib/scripts/cda.py
> 
> chmod a+x %{buildroot}%{python3_sitelib}/cclib/scripts/ccframe.py
> chmod a+x %{buildroot}%{python3_sitelib}/cclib/scripts/ccget.py
> chmod a+x %{buildroot}%{python3_sitelib}/cclib/scripts/ccwrite.py
> chmod a+x %{buildroot}%{python3_sitelib}/cclib/scripts/cda.py
> 
> 
> Wouldn't it be better to drop the shebangs entirely? Or are the users of
> this package expected to execute those files directly?

Shebangs were already there in the form `#!/usr/bin/env python`

> 
> 
> 
> > %global with_check 1
> 
> Consider using a %bcond?

Comment 7 Susi Lehtola 2020-03-01 21:19:50 UTC
(In reply to Antonio T. (sagitter) from comment #6)
> (In reply to Miro Hrončok from comment #5)
> > Regarding:
> > 
> > pathfix.py -pn -i "%{__python3}"
> > %{buildroot}%{python3_sitelib}/cclib/scripts/ccframe.py
> > pathfix.py -pn -i "%{__python3}"
> > %{buildroot}%{python3_sitelib}/cclib/scripts/ccget.py
> > pathfix.py -pn -i "%{__python3}"
> > %{buildroot}%{python3_sitelib}/cclib/scripts/ccwrite.py
> > pathfix.py -pn -i "%{__python3}"
> > %{buildroot}%{python3_sitelib}/cclib/scripts/cda.py
> > 
> > chmod a+x %{buildroot}%{python3_sitelib}/cclib/scripts/ccframe.py
> > chmod a+x %{buildroot}%{python3_sitelib}/cclib/scripts/ccget.py
> > chmod a+x %{buildroot}%{python3_sitelib}/cclib/scripts/ccwrite.py
> > chmod a+x %{buildroot}%{python3_sitelib}/cclib/scripts/cda.py
> > 
> > Wouldn't it be better to drop the shebangs entirely? Or are the users of
> > this package expected to execute those files directly?
> 
> Shebangs were already there in the form `#!/usr/bin/env python`

But they can be removed altogether since these files are in the Python library directory. The shebangs only matter in the case where the user would run these directly i.e. run

$ /usr/lib64/python3.7/site-packages/cclib/scripts/ccget.py 

The files are not in the PATH so the shebangs can be dropped.

Also, since this is an unretirement procedure, please rebase your spec using the old one and see that you inherit all of its fixes to various issues. Usually one also keeps the old changelog.

Comment 8 Mukundan Ragavan 2020-03-01 22:06:35 UTC
See here for the old package - https://src.fedoraproject.org/rpms/python-cclib

Comment 9 Antonio T. (sagitter) 2020-03-07 13:12:39 UTC
Spec URL: https://sagitter.fedorapeople.org/python-cclib/python-cclib.spec
SRPM URL: https://sagitter.fedorapeople.org/python-cclib/python-cclib-1.6.2-1.fc31.src.rpm

- Remove shabangs from scripts
- Add PyQt4 and vtk runtime dependencies

Comment 10 Antonio T. (sagitter) 2020-03-07 13:13:35 UTC
(In reply to Antonio T. (sagitter) from comment #9)
> Spec URL: https://sagitter.fedorapeople.org/python-cclib/python-cclib.spec
> SRPM URL:
> https://sagitter.fedorapeople.org/python-cclib/python-cclib-1.6.2-1.fc31.src.
> rpm
> 
> - Remove shabangs from scripts
> - Add PyQt4 and vtk runtime dependencies


Spec URL: https://sagitter.fedorapeople.org/python-cclib/python-cclib.spec
SRPM URL: https://sagitter.fedorapeople.org/python-cclib/python-cclib-1.6.2-2.fc31.src.rpm

Comment 11 Mukundan Ragavan 2020-03-08 21:00:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://src.fedoraproject.org/rpms/python-cclib
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Naming/#_conflicting_package_names

---> Well, this review is for unretiring. All good here.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "BSD (unspecified)", "GNU Lesser General Public License",
     "GNU Lesser General Public License (v2.1)". 985 files have unknown
     license. Detailed output of licensecheck in
     /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1808571-python-
     cclib/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.

---> BSD and LGPLv2

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.

---> tests are run and all pass.

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-cclib-1.6.2-2.fc33.noarch.rpm
          python-cclib-1.6.2-2.fc33.src.rpm
python3-cclib.noarch: W: spelling-error Summary(en_US) Parsers -> Parser, Parses, Parers
python3-cclib.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python3-cclib.noarch: W: spelling-error %description -l en_US interoperability -> interchangeability, invulnerability, inseparability
python3-cclib.noarch: W: spelling-error %description -l en_US cheminformatic -> misinformation
python3-cclib.noarch: W: no-documentation
python3-cclib.noarch: W: no-manual-page-for-binary ccframe
python3-cclib.noarch: W: no-manual-page-for-binary ccget
python3-cclib.noarch: W: no-manual-page-for-binary ccwrite
python3-cclib.noarch: W: no-manual-page-for-binary cda
python-cclib.src: W: spelling-error Summary(en_US) Parsers -> Parser, Parses, Parers
python-cclib.src: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python-cclib.src: W: spelling-error %description -l en_US interoperability -> interchangeability, invulnerability, inseparability
python-cclib.src: W: spelling-error %description -l en_US cheminformatic -> misinformation
2 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
python3-cclib.noarch: W: spelling-error Summary(en_US) Parsers -> Parser, Parses, Parers
python3-cclib.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python3-cclib.noarch: W: spelling-error %description -l en_US interoperability -> interchangeability, invulnerability, inseparability
python3-cclib.noarch: W: spelling-error %description -l en_US cheminformatic -> misinformation
python3-cclib.noarch: W: invalid-url URL: https://cclib.github.io/ <urlopen error [Errno -2] Name or service not known>
python3-cclib.noarch: W: no-documentation
python3-cclib.noarch: W: no-manual-page-for-binary ccframe
python3-cclib.noarch: W: no-manual-page-for-binary ccget
python3-cclib.noarch: W: no-manual-page-for-binary ccwrite
python3-cclib.noarch: W: no-manual-page-for-binary cda
1 packages and 0 specfiles checked; 0 errors, 10 warnings.


---> Nothing useful here. URL opens fine.


Source checksums
----------------
https://github.com/cclib/cclib/archive/v1.6.2/cclib-1.6.2.tar.gz :
  CHECKSUM(SHA256) this package     : ece7b34a487f7483763ef997fa527b8a8c3e1963796df0a9dbf3bab85a686338
  CHECKSUM(SHA256) upstream package : ece7b34a487f7483763ef997fa527b8a8c3e1963796df0a9dbf3bab85a686338


Requires
--------
python3-cclib (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-PyQt4
    python3-numpy
    python3-periodictable
    python3-vtk
    python3.8dist(numpy)
    python3.8dist(setuptools)
    python3.8dist(six)



Provides
--------
python3-cclib:
    python-cclib
    python3-cclib
    python3.8dist(cclib)
    python3dist(cclib)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1808571
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: fonts, Perl, Java, R, C/C++, Ocaml, SugarActivity, Haskell, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 12 Mukundan Ragavan 2020-03-08 21:01:31 UTC
I have no complaints. Package approved. Please proceed with unretirement process.


Note You need to log in before you can comment on or make changes to this bug.